#! /bin/sh
# Copyright LangBox International - 1994 - 1996
# installation script version 1.02 for AraMosaic -- 28/06/96

# Actual Begin of script
FAIL=1 
OK=0
TRACE=/tmp/_AraMosaic_TRACE_
X11BIN=/usr/bin/X11
X11LIB=/usr/lib/X11

mk_font_X11R5() {
     echo "mk_font_openwin " >> $TRACE
     if [ -x $X11BIN/mkfontdir -a -d $X11LIB/fonts/misc ]
     then
         error_cp=0
         for i in ./fonts/*.pcf.Z
         do
             if cp $i $X11LIB/fonts/misc >> $TRACE 2>&1
             then :
             else
                 echo "$X11LIB/fonts/misc is write protected, $i is not installed" | tee -a $TRACE
                 error_cp=1
             fi
         done
         if [ $error_cp = "1" ]
         then 
	     echo "You must copy all pcf.Z files in $X11LIB/fonts/misc manually" | tee -a $TRACE
             echo "then go to directory $X11LIB/fonts/misc and run mkfontdir" | tee -a $TRACE
             echo "to make it available for X Windows" | tee -a $TRACE
             echo "or run \"xset +fp $PWD/fonts\" on each Openwin sessions" | tee -a $TRACE
             return
         fi
         echo "Run $X11BIN/mkfontdir $X11LIB/fonts/misc" >>$TRACE 2>&1
         $X11BIN/mkfontdir $X11LIB/fonts/misc >>$TRACE 2>&1 || {
             echo "mkfontdir error on $X11LIB/fonts/misc, check it to use Openwindows" | tee -a $TRACE ; }

         if [ "$DISPLAY" = "" ]
         then
              echo
              echo "Warning : Cannot get environment variable DISPLAY, set it to ':0.0' by default." | tee -a $TRACE
              DISPLAY=:0.0 ; export DISPLAY
         fi

         echo "Run $X11BIN/xset fp rehash -display $DISPLAY">>$TRACE 2>&1 
         if [ -x $X11BIN/xset ] 
         then
             $X11BIN/xset fp rehash -display $DISPLAY >>$TRACE 2>&1 ||{
                 echo "Warning : The command \"xset fp rehash -display $DISPLAY\" failed" | tee -a $TRACE
                 echo "          Please run it manually after the installation to get Arabic fonts" | tee -a $TRACE
                 echo "          available for the current Openwindow session." | tee -a $TRACE
                 echo "          New Openwindow sessions will get them automatically." | tee -a $TRACE
             }
         else
             echo "Warning : The command \"xset fp rehash -display $DISPLAY\" failed" | tee -a $TRACE
             echo "          Please run it manually after the installation to get Arabic fonts" | tee -a $TRACE
             echo "          available for the current Openwindow session." | tee -a $TRACE
             echo "          New Openwindow sessions will get them automatically." | tee -a $TRACE
         fi
     else
         echo "AraMosaic Arabic fonts are not available because" | tee -a $TRACE
         echo "mkfontdir does not exist in $X11BIN" | tee -a $TRACE
         echo "Go to directory $X11LIB/fonts/misc and run mkfontdir" | tee -a $TRACE
         echo "to make it available for X Windows" | tee -a $TRACE
         echo "or run \"xset +fp $PWD/fonts\" on each Openwin sessions" | tee -a $TRACE
     fi
}

# install font for Old Openwindow (Solaris 2.1, 2.2 and SunOs)
mk_font_openwin() {
     if [ -x $X11BIN/bldfamily -a -d $X11LIB/fonts ]
     then
         error_cp=0
         for i in ./fonts/*.fb
         do
             if cp $i $X11LIB/fonts >> $TRACE 2>&1
             then :
             else
                 echo "$X11LIB/fonts is write protected, $i is not installed" | tee -a $TRACE
                 error_cp=1
             fi
         done
         if [ $error_cp = "1" ]
         then
             echo "You must copy all .fb files in $X11LIB/fonts manually" | tee -a $TRACE
             echo "then go to directory $X11LIB/fonts and run bldfamily" | tee -a $TRACE
             echo "to make it available for OpenWindows" | tee -a $TRACE
             echo "or run \"xset +fp $PWD/fonts\" on each Openwin sessions" | tee -a $TRACE
             return
         fi
         echo "Run $X11BIN/bldfamily -d $X11LIB/fonts" >>$TRACE 2>&1
         $X11BIN/bldfamily -d $X11LIB/fonts >>$TRACE 2>&1 || {
                echo "bldfamily error on $X11LIB/fonts, check it to use Openwindows" | tee - a $TRACE
         }
         echo "Run $X11BIN/xset fp rehash">>$TRACE 2>&1
         [ -x $X11BIN/xset ] && $X11BIN/xset fp rehash >>$TRACE 2>&1
     else
         echo "AraMosaic OpenWindows fonts are not available because" | tee -a $TRACE
         echo "bldfamily does not exist in $X11BIN" | tee -a $TRACE
         echo "Run \"xset +fp $PWD/fonts\" on each OpenWindows sessions" | tee -a $TRACE
     fi

}
########################################################################
# Begin of the script
########################################################################


trap 'eval $cleanup; return $FAIL' 1 2 3 15
echo "AraMosaic Installation..."
echo
echo "Installing X Windows Arabic fonts..."

if [ -d $X11LIB/fonts ]
then
        mk_font_X11R5
else
    echo 
    echo "WARNING: The \$X11LIB/fonts directory don't exist."| tee -a $TRACE
    echo "-------  Install.sh Cannot install Arabic fonts."| tee -a $TRACE
    echo ""| tee -a $TRACE
    echo "You must run the command : xset +fp $PWD/fonts"| tee -a $TRACE
    echo "before all future sessions."| tee -a $TRACE
    
    $X11BIN/xset +fp $PWD/fonts  2>&1 >> $TRACE
fi
echo "AraMosaic Installation terminated." | tee -a $TRACE

exit 0    # install ok

